netatalk: sl_xapian.h File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
sl_xapian.h File Reference
`#include <stddef.h>`

Go to the source code of this file.

## Functions
int | sl_xapian_reconcile (const char *db_path, const char *volume_path, const char *volume_uuid, char *errbuf, size_t errlen)
int | sl_xapian_index_ready (const char *db_path, const char *volume_path, const char *volume_uuid, char *errbuf, size_t errlen)
int | sl_xapian_query (const char *db_path, const char *scope, const char *qstring, size_t offset, size_t limit, char ***paths, size_t *count, int *more, char *errbuf, size_t errlen)
int | sl_xapian_upsert_path (const char *db_path, const char *path, char *errbuf, size_t errlen)
int | sl_xapian_delete_path (const char *db_path, const char *path, char *errbuf, size_t errlen)
int | sl_xapian_delete_prefix (const char *db_path, const char *path, char *errbuf, size_t errlen)
int | sl_xapian_reindex_subtree (const char *db_path, const char *volume_path, const char *path, const char *oldpath, char *errbuf, size_t errlen)
int | sl_xapian_mark_dirty (const char *db_path, char *errbuf, size_t errlen)
void | sl_xapian_free_paths (char **paths, size_t count)

## Function Documentation

## ◆ sl_xapian_delete_path()

int sl_xapian_delete_path | ( | const char * | db_path,
|  | const char * | path,
|  | char * | errbuf,
|  | size_t | errlen )

## ◆ sl_xapian_delete_prefix()

int sl_xapian_delete_prefix | ( | const char * | db_path,
|  | const char * | path,
|  | char * | errbuf,
|  | size_t | errlen )

## ◆ sl_xapian_free_paths()

void sl_xapian_free_paths | ( | char ** | paths,
|  | size_t | count )

## ◆ sl_xapian_index_ready()

int sl_xapian_index_ready | ( | const char * | db_path,
|  | const char * | volume_path,
|  | const char * | volume_uuid,
|  | char * | errbuf,
|  | size_t | errlen )

## ◆ sl_xapian_mark_dirty()

int sl_xapian_mark_dirty | ( | const char * | db_path,
|  | char * | errbuf,
|  | size_t | errlen )

## ◆ sl_xapian_query()

int sl_xapian_query | ( | const char * | db_path,
|  | const char * | scope,
|  | const char * | qstring,
|  | size_t | offset,
|  | size_t | limit,
|  | char *** | paths,
|  | size_t * | count,
|  | int * | more,
|  | char * | errbuf,
|  | size_t | errlen )

## ◆ sl_xapian_reconcile()

int sl_xapian_reconcile | ( | const char * | db_path,
|  | const char * | volume_path,
|  | const char * | volume_uuid,
|  | char * | errbuf,
|  | size_t | errlen )

## ◆ sl_xapian_reindex_subtree()

int sl_xapian_reindex_subtree | ( | const char * | db_path,
|  | const char * | volume_path,
|  | const char * | path,
|  | const char * | oldpath,
|  | char * | errbuf,
|  | size_t | errlen )

## ◆ sl_xapian_upsert_path()

int sl_xapian_upsert_path | ( | const char * | db_path,
|  | const char * | path,
|  | char * | errbuf,
|  | size_t | errlen )